# excell_functions
## О проекте
Еxcell_functions - это библиотека python, которая позволяет использовать привычный синтаксис функций MS Excell в работе с объектами DataFrame / Serias библиотеки pandas
## Зависимости
Еxcell_functions является оберткой вокруг библиотеки pandas, которая, в свою очередь, является оберткой вокруг библиотеки numpy
Поэтому, для корректной работы Еxcell_functions требуется наличие в Вашей среде разработки обеих установленных библиотек.
## Установка
Просто скопируйте содержимое репозитория `excell_functions` туда, где Ваш python сможет его найти и подключить в качестве внешнего модуля.
Путь к директории с модулями может варьировать в зависимости от верссии Вашего python, настроек среды и установленной операционной системы.
Как правило, пути поиска модулей указаны в переменной sys.path и могут быть изменены вручную, что позволяет положить модуль в любое удобное для вас место.
По умолчанию при попытке импортировать модуль, python будет пытаться определить его местоположение в папке вызова текущего скрипта или в системных папках, в которых установлен python.
Если Вы используете виртуальное окружение python (что предпочтительно), 
Чтобы установить библиотеку с помощью git, перейдите в папку site-packages Вашего виртуального окружения и выполните команду:
	git clone https://github.com/A1eksMa/excell_functions/

После завершения работы над библиотекой и запуска ее "в продакшн" я приложу все усилия, чтобы разместить ее в центральном репозитории python и сделать доступной установку с помощью стандартного менеджера пакетов pip, используя:
	pip install excell_functions

После установки Вы можете обратиться к библиотеке, используя стандартный метод импорта:
	python3>> import excell_functions
или загрузить отдельно интересующую вас категорию функций Ексел как субмодуль:
	python3>> from excell_functions import [name_category]
Вы также можете назначить любой псевдоним загруженной Вами библиотеки или модулю по Вашему вкусу. 
Для моей библиотеки я рекомендую использовать `exfun` - с одной стороны это не слишком длинно, с другой - звучит достаточно позитивно:
	python3>> import excell_functions as exfun

Excellent! Fun!

## Структура проекта
Код для каждой из категорий функций Ексель (логические, текстовые, финансовые функции и проч.) выделен в отдельный модуль, для более продуктивной работы над кодом и дополнительной возможности подгружать отдельные категории функций отдельно.
В корневой директории находится файл __init__.py, в котором содержится общий код проекта, включающий:
- краткое описание каждой функции в комментарии, 
- код функции,
- указание к какому модулю она относится.
В папке модуля находятся следующие файлы:
    - файл __init__.py с той же информацией, но только ограниченной функциями конкретного модуля;
    - файл name_category.csv с перечнем функций и кратким описанием работы функции с официального сайтм Майкрософт.


## Как пользоваться
Просто пользуйтесь)


## Примеры
Функция IF(Condition, A, B) возвращает A, в случае когда condition == True, в противном случае возвращает B.
